local _
local ADDON, P = ...


WeekKeys.addon = LibStub("AceAddon-3.0"):NewAddon("WeekKeys", "AceConsole-3.0")
local bunnyLDB = LibStub("LibDataBroker-1.1"):NewDataObject("WeekKeys", {
    type = "data source",
    text = "0",
    icon = "interface/worldmap/treasurechest_64.blp",
    HotCornerIgnore = true,
    OnClick = function(self, button)
        if button  then
            kPlayer:Save()
            if WeekFrame.ButtonID == 0 then
                wChooses()
            end
            WeekFrame:SetShown(not WeekFrame:IsShown())
        end
    end,
    OnTooltipShow = function (tooltip)
        tooltip:AddLine ("WeekKeys")
    end,
})
WeekKeys.icon = LibStub("LibDBIcon-1.0")

function WeekKeys.addon:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("WeekKeysDB",
    {
        profile = {
            minimap = {
                hide = false,
            },
        },
    })
    WeekKeys.icon:Register("WeekKeys", bunnyLDB, self.db.profile.minimap)
end
